Reset Demo Storefront
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/demo/reset \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/demo/reset"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/demo/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"demo": {
"mode": "DEMO",
"storefrontId": "<string>",
"customerId": 0,
"profileId": "sample-publisher-display",
"profileVersion": "<string>",
"profileDisplayName": "<string>",
"fixturePackId": "<string>",
"fixturePackVersion": "<string>",
"generation": 4503599627370496,
"expiresAt": "2023-11-07T05:31:56Z",
"lastResetAt": "2023-11-07T05:31:56Z",
"cleanupAttemptCount": 4503599627370495,
"cleanupError": "<string>",
"disclosure": "<string>",
"sourceId": "<string>",
"sources": [
{
"recipeVersion": "<string>",
"sourceId": "<string>",
"displayName": "<string>",
"synthetic": true
}
],
"synthetic": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Reset Demo Storefront
Rebuild the Demo Storefront from its pinned synthetic profile without extending its lease.
POST
/
demo
/
reset
Reset Demo Storefront
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/demo/reset \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/demo/reset"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/demo/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"demo": {
"mode": "DEMO",
"storefrontId": "<string>",
"customerId": 0,
"profileId": "sample-publisher-display",
"profileVersion": "<string>",
"profileDisplayName": "<string>",
"fixturePackId": "<string>",
"fixturePackVersion": "<string>",
"generation": 4503599627370496,
"expiresAt": "2023-11-07T05:31:56Z",
"lastResetAt": "2023-11-07T05:31:56Z",
"cleanupAttemptCount": 4503599627370495,
"cleanupError": "<string>",
"disclosure": "<string>",
"sourceId": "<string>",
"sources": [
{
"recipeVersion": "<string>",
"sourceId": "<string>",
"displayName": "<string>",
"synthetic": true
}
],
"synthetic": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}⌘I